# Uses of Class
org.springframework.context.support.ReloadableResourceBundleMessageSource.PropertiesHolder

Packages that use ReloadableResourceBundleMessageSource.PropertiesHolder
Package
Description
org.springframework.context.support
Classes supporting the org.springframework.context package, such as abstract base classes for ApplicationContext implementations and a MessageSource implementation.

## Uses of ReloadableResourceBundleMessageSource.PropertiesHolder in org.springframework.context.support

Methods in org.springframework.context.support that return ReloadableResourceBundleMessageSource.PropertiesHolder
Modifier and Type
Method
Description
`protected ReloadableResourceBundleMessageSource.PropertiesHolder`
ReloadableResourceBundleMessageSource.`getMergedProperties(Locale locale)`
Get a PropertiesHolder that contains the actually visible properties for a Locale, after merging all specified resource bundles.
`protected ReloadableResourceBundleMessageSource.PropertiesHolder`
ReloadableResourceBundleMessageSource.`getProperties(String filename)`
Get a PropertiesHolder for the given filename, either from the cache or freshly loaded.
`protected ReloadableResourceBundleMessageSource.PropertiesHolder`
ReloadableResourceBundleMessageSource.`mergeProperties(List<ReloadableResourceBundleMessageSource.PropertiesHolder> holders)`
Merge the given properties holders into a single holder.
`protected ReloadableResourceBundleMessageSource.PropertiesHolder`
ReloadableResourceBundleMessageSource.`refreshProperties(String filename, ReloadableResourceBundleMessageSource.PropertiesHolder propHolder)`
Refresh the PropertiesHolder for the given bundle filename.
Methods in org.springframework.context.support that return types with arguments of type ReloadableResourceBundleMessageSource.PropertiesHolder
Modifier and Type
Method
Description
`protected List<ReloadableResourceBundleMessageSource.PropertiesHolder>`
ReloadableResourceBundleMessageSource.`collectPropertiesToMerge(Locale locale)`
Determine the properties to merge based on the specified basenames.
Methods in org.springframework.context.support with parameters of type ReloadableResourceBundleMessageSource.PropertiesHolder
Modifier and Type
Method
Description
`protected ReloadableResourceBundleMessageSource.PropertiesHolder`
ReloadableResourceBundleMessageSource.`refreshProperties(String filename, ReloadableResourceBundleMessageSource.PropertiesHolder propHolder)`
Refresh the PropertiesHolder for the given bundle filename.
Method parameters in org.springframework.context.support with type arguments of type ReloadableResourceBundleMessageSource.PropertiesHolder
Modifier and Type
Method
Description
`protected ReloadableResourceBundleMessageSource.PropertiesHolder`
ReloadableResourceBundleMessageSource.`mergeProperties(List<ReloadableResourceBundleMessageSource.PropertiesHolder> holders)`
Merge the given properties holders into a single holder.